#ifndef _DARWIN_COMPAT_H_
#define _DARWIN_COMPAT_H_

#include <sys/types.h>
#include <netinet/in.h>
#ifndef OS_DARWIN_OLD
#include <arpa/nameser_compat.h>
#endif
#include <resolv.h>

#define RES_USE_INET6 0x00002000 /* copied from freebsd's resolv.h */
#ifndef IN6ADDRSZ
#define IN6ADDRSZ 16		/* hack - value from FreeBSD */
#endif
#define NS_PACKETSZ 512		/* maximum packet size */
#define NS_INT16SZ 2
#define NS_INT32SZ 4

#endif
