#ifndef _CODNS_LOG_H_
#define _CODNS_LOG_H_
#include <unistd.h>

extern int g_logFd;

#if defined(DEBUG_TRACE)
#define TRACE_L(fmt, msg...) {                                                \
    char __buf[2048];                                                         \
    int  __len;                                                               \
    __len = snprintf(__buf, sizeof(__buf), "[%s] " fmt, __FUNCTION__, ##msg); \
    write(g_logFd, __buf, __len);                                             \
}    

#define TRACE_L1(fmt) {                                                       \
    char __buf[2048];                                                         \
    int  __len;                                                               \
    __len = snprintf(__buf, sizeof(__buf), "[%s] " fmt, __FUNCTION__);        \
    write(g_logFd, __buf, __len);                                             \
}    
#else

#define TRACE_L(fmt, msg...) (void)0
#define TRACE_L1(fmt) (void)0

#endif

/* use this if the trace needs to go all the time */
#define TRACE_LX(fmt, msg...) {                                               \
    char __buf[2048];                                                         \
    int  __len;                                                               \
    __len = snprintf(__buf, sizeof(__buf), "[%s] " fmt, __FUNCTION__, ##msg); \
    write(g_logFd, __buf, __len);                                             \
}    
#define TRACE_LX1(fmt) {                                                      \
    char __buf[2048];                                                         \
    int  __len;                                                               \
    __len = snprintf(__buf, sizeof(__buf), "[%s] " fmt, __FUNCTION__);	      \
    write(g_logFd, __buf, __len);                                             \
}

/* not sure where to put this  */
#if defined(OS_DARWIN) && !defined(OS_TIGER)
typedef int socklen_t;
#endif

#endif


